net.corda.node.services

## Class RPCUserServiceImpl

- net.corda.node.services.RPCUserServiceImpl

- All Implemented Interfaces:
    RPCUserService

      public class RPCUserServiceImpl
      implements RPCUserService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPCUserServiceImpl(NodeConfiguration config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `User` | `getUser(java.lang.String username)`
    `java.util.List<net.corda.node.services.User>` | `getUsers()`

    - ### Methods inherited from interface net.corda.node.services.RPCUserService

      `getUser, getUsers`

- - ### Constructor Detail

    - #### RPCUserServiceImpl

          public RPCUserServiceImpl(NodeConfiguration config)

  - ### Method Detail

    - #### getUser

          public User getUser(java.lang.String username)

    - #### getUsers

          public java.util.List<net.corda.node.services.User> getUsers()